<div class="header-block-page">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12"><h1>Properties for sale</h1></div>
		</div>
	</div>
</div>

<div class='content property'>
	<div class="container-fluid">
		<?php echo $this->Element('property-view-options', array('hide_sort' => false)); ?>
		<?php echo $this->Element('property-filters'); ?>

		<div class="row">
			<div class="col-12">
				<div class="result-count">
					<?php echo $this->Paginator->counter('{:start} - {:end} of {:count}'); ?> <span>properties for sale</span>
				</div>
			</div>
		</div>

		<?php $i = 4; ?>
		<?php foreach ($properties as $property): ?>
				<div class="property-listing">
					<div class="row">
						<div class="col-md-5 col-xs-12 gutterless--right">
							<?php
							$mainImageOptions = array(
								'class' => 'main-img',
								'width' => 370,
								'height' => 270,
								'crop' => true
							);

							$thumbnailImageOptions = array(
								'width' => 102,
								'height' => 67,
								'crop' => true
							);
							?>
							<a class="current-image" href="<?php echo $this->Html->url(array('controller' => 'properties', 'action' => 'view', $property['Property']['id'])); ?>">
								<?php if (isset($property['Image'][0])): ?>
									<?php echo $this->Image->resize($property['Image'][0], $mainImageOptions); ?>
								<?php endif; ?>
							</a>
							<div class="img-count"><i class="fa fa-camera"></i> <?php echo count($property['Image']); ?></div>

							<div class="img-right">
								<?php if (!empty($property['Image'])): ?>
									<?php echo $this->Image->resize($property['Image'][0], array_merge($thumbnailImageOptions, array('data-large-image' => $property['Image'][0]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][1], array_merge($thumbnailImageOptions, array('data-large-image' => $property['Image'][1]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][2], array_merge($thumbnailImageOptions, array('data-large-image' => $property['Image'][2]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][3], array_merge($thumbnailImageOptions, array('height' => 66, 'data-large-image' => $property['Image'][3]['id']))); ?>
								<?php endif; ?>
							</div>

							<div id="large-image-holder" class="hidden">
								<?php if (!empty($property['Image'])): ?>
									<?php echo $this->Image->resize($property['Image'][0], array_merge($mainImageOptions, array('data-id' => $property['Image'][0]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][1], array_merge($mainImageOptions, array('data-id' => $property['Image'][1]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][2], array_merge($mainImageOptions, array('data-id' => $property['Image'][2]['id']))); ?>
									<?php echo $this->Image->resize($property['Image'][3], array_merge($mainImageOptions, array('data-id' => $property['Image'][3]['id']))); ?>
								<?php endif;
								?>
							</div>
						</div>

						<div class = "col-md-7 col-xs-12 gutterless--left">
							<div class = "property-details">
								<a href = "<?php echo $this->Html->url('/properties/view/' . $property['Property']['id']); ?>">
									<div class = "details-header">
										<h3>
											<?php echo $this->Number->currency($property['Property']['price'], 'GBP', array('places' => 0));
											?>
											<span> | <?php echo $property['Property']['bedrooms']; ?> bedroom <?php echo $property['Property']['type']; ?></span>
										</h3>
										<i class="fa fa-caret-right"></i>
									</div>
								</a>

								<h4><?php echo implode(', ', array($property['Property']['street'], $property['Property']['town'])); ?></h4>
								<p><?php echo $this->Text->truncate($property['Property']['description'], 400); ?></p>
								<p><a href="<?php echo $this->Html->url('/properties/view/' . $property['Property']['id']); ?>">View Property <i class="fa fa-caret-right"></i></a><p>
							</div>
						</div>
					</div>
				</div>
				<?php $i--; ?>
			<?php endforeach; ?>

		<div class="row">
			<div class="col-sm-12 page-select page-selector">
				<?php if ($this->Paginator->hasPrev()): ?>
						<?php echo $this->Paginator->prev('<i class="fa fa-caret-left"></i>&nbsp;&nbsp;' . __('Previous'), array('escape' => false)); ?>
						&nbsp;&nbsp;&nbsp;
					<?php endif; ?>

				<?php
					echo $this->Paginator->numbers(array(
						'separator' => '&nbsp;&nbsp;&nbsp;',
						'currentClass' => 'page active',
						'class' => 'page',
					));
				?>

				<?php if ($this->Paginator->hasNext()): ?>
						&nbsp;&nbsp;&nbsp;
						<?php echo $this->Paginator->next(__('Next') . '&nbsp;&nbsp;<i class="fa fa-caret-right"></i>', array('escape' => false)); ?>
					<?php endif; ?>
			</div>
		</div>

		<div class="row"><div class="col-md-12"></div></div>
	</div>
</div>

